Delivery Types
2 API calls in this section.
Endpoints for managing delivery types.
List Delivery Types
Delivery & Last-Mile / Delivery Types
GET
/delivery/typesList all delivery types. This is a public endpoint that does not require authentication.
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/delivery/types"Response examples
200OK
Response body
json
1{2 "success": true,3 "message": "Delivery types retrieved successfully",4 "deliveryTypes": [5 {6 "id": "uuid",7 "name": "Express"8 },9 {10 "id": "uuid",11 "name": "Standard"12 },13 {14 "id": "uuid",15 "name": "Economy"16 }17 ]18}Get Delivery Type by ID
Delivery & Last-Mile / Delivery Types
GET
/delivery/types/:typeIdGet a specific delivery type by its ID. This is a public endpoint but benefits from language support if a token is provided.
Path parameters
| Parameter | Type | Description |
|---|---|---|
typeIdRequired | string | ID of the delivery type to retrieve Example: |
Query parameters
| Parameter | Type | Description |
|---|---|---|
languageOptional | string | Preferred language for response messages Example: |
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/delivery/types/${TYPEID}?language=en" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
200OK
Response body
json
1{2 "success": true,3 "message": "Delivery type retrieved successfully",4 "deliveryType": {5 "id": "uuid",6 "name": "Express"7 }8}